BIEN 3 - Task #471

add make actions so new dependent maps are rebuilt automatically when their source map changes
08/09/2012 11:59 AM - Aaron Marcuse-Kubitza

Status: Resolved Start date: 08/09/2012
Priority: Normal Due date:

Assignee: Aaron Marcuse-Kubitza % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Activity type:

Description

¢ Currently, you have to run make mappings/ in addition to make test after any mappings changes

* Before VegCSV, it was possible to just run make test and have all core maps automatically remade

¢ This problem is due to the VegCSV non-derived map not yet being used by any datasources (only the derived maps are used)
Because the derived maps are symlinks rather than make targets, make never touches the non-derived map and doesn't run its
recipe

History

#1 - 08/10/2012 05:06 PM - Aaron Marcuse-Kubitza

- Description updated

#2 - 08/28/2012 06:30 PM - Aaron Marcuse-Kubitza
- Status changed from New to Resolved

- % Done changed from 0 to 100

This appears to be fixed now that the primary map refactoring is done and the symlinks are gone
